Skip to main content
GET
cURL
This endpoint is in beta. The request and response structure may change before it’s generally available. Startup metrics require access for your organization. Contact support to request access.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

model_id
string
required
env_name
string
required

Query Parameters

start_epoch_millis
integer
required

Start of the query window, in epoch milliseconds.

end_epoch_millis
integer
required

End of the query window, in epoch milliseconds. Must be after the start.

min_duration_ms
integer | null

Only include startups that lasted at least this many milliseconds.

Required range: x >= 0

Response

200 - application/json

Startup duration distributions over a time window.

start_epoch_millis
integer
required

Start of the returned window.

end_epoch_millis
integer
required

End of the returned window.

total_duration_ms
StartupPercentilesV1 · object
required

Durations of whole startups, sampled from the 1,000 most recent in the window.

phase_duration_ms
StartupPhasePercentilesV1 · object[]
required

Durations of each phase that was recorded in the window.